Name:       perl-generators-epel
Version:    1
Release:    1%{?dist}
Summary:    RPM Perl dependencies generators for EPEL
URL:        https://src.fedoraproject.org/rpms/perl-generators-epel
License:    GPL-1.0-or-later
Source0:    perlcompat.attr.epel9
Source1:    perlcompat.attr.epel8
Source2:    perlcompat.req
BuildArch:  noarch
Requires:   coreutils
Requires:   perl-macros
Requires:   rpm

%description
This package provides RPM Perl dependency generator which is used for
getting run-time requirements perl(:MODULE_COMPAT_XXX) and perl-libs based
on files which are in the package on EPEL.

%install
%if 0%{?rhel} == 9
install -pm 0644 -D "%{SOURCE0}" \
    '%{buildroot}%{_rpmconfigdir}/fileattrs/perlcompat.attr'
%endif
%if 0%{?rhel} && 0%{?rhel} <= 8
install -pm 0644 -D "%{SOURCE1}" \
    '%{buildroot}%{_rpmconfigdir}/fileattrs/perlcompat.attr'
install -pm 0755 -D "%{SOURCE2}" \
    '%{buildroot}%{_rpmconfigdir}/perlcompat.req'
%endif

%files
%{_rpmconfigdir}/fileattrs/perlcompat.attr
%if 0%{?rhel} && 0%{?rhel} <= 8
%{_rpmconfigdir}/perlcompat.req
%endif

%changelog
* Wed Mar 06 2024 Sergey Cherevko <s.cherevko@msvsphere-os.ru> - 1-1
- Rebuilt for MSVSphere 8.9

* Mon Jan 09 2023 Jitka Plesnikova <jplesnik@redhat.com> - 1-1
- Initial version of the package
